# see uri module https://docs.ansible.com/ansible/latest/modules/uri_module.html#uri-module
# https://liquidat.wordpress.com/2016/05/10/ways-to-provide-body-payload-to-ansible-uri-module/
- hosts: all
  tasks:
  - name: check gitlab.com connection
    uri:
      url: https://gitlab.com/
  - name: folk gitlab repository
    uri:
      url: https://gitlab.com/api/v4/projects/12553474/fork
      method: POST
      status_code: 201
      body_format: json
      body:
        id : "{{folked_project_id}}"
        namespace: "{{target_namespace_id}}"
        name: "{{target_project_name}}"
      # body: >
      #   { "id":12553474, "namespace" : 5296268, "name": "folked-hugo-templ2" }
      headers:
        Content-Type: "application/json"
        Private-Token: "snQzhSKaStBXd_Y6zjGA"